ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ome::files::FormatReader::SaveSeries Class Reference

Sentry for saving and restoring reader series state. More...

`#include <ome/files/FormatReader.h>`

Collaboration diagram for ome::files::FormatReader::SaveSeries:
[legend]

## Public Member Functions
| SaveSeries (const FormatReader &reader)
| Constructor. More...
| ~SaveSeries ()
| Destructor. More...

## Private Attributes
const FormatReader & | reader
| Reader for which the state will be saved and restored.
dimension_size_type | coreIndex
| Saved core index.
dimension_size_type | plane
| Saved plane index.

## Detailed Description

Sentry for saving and restoring reader series state.

For any FormatReader method or subclass method which needs to set and later restore the series/coreIndex/resolution as part of its operation, this class exists to manage the safe restoration of the state. Create an instance of this class with the reader set to `*this`. When the instance goes out of scope, e.g. at the end of a block or method, or when an exception is thrown, the saved state will be transparently restored.

## Constructor & Destructor Documentation

ome::files::FormatReader::SaveSeries::SaveSeries | ( | const FormatReader & | reader | ) |
| inline

Constructor.

Parameters

  reader | the reader to manage.

ome::files::FormatReader::SaveSeries::~SaveSeries | ( |  | ) |
| inline

Destructor.

Saved state will be restored when run.

References ome::files::FormatReader::getCoreIndex(), ome::files::FormatReader::getPlane(), ome::files::FormatReader::setCoreIndex(), and ome::files::FormatReader::setPlane().

The documentation for this class was generated from the following file:

- ome/files/FormatReader.h